import * as React from 'react';
import { ViewStyle } from 'react-native';
declare type AlerType = 'info' | 'warning' | 'error' | 'success';
interface Props {
    type: AlerType;
    title: string;
    message?: string;
    numberOfLines?: number;
    children?: React.ReactNode;
    marginRem?: number[] | number;
    paddingRem?: number[] | number;
    onPress?: () => void;
}
export declare const useAlertTypeColor: (type: AlerType) => string;
export declare const useAlertTypeIcon: (type: AlerType, color: string, size: number, style: ViewStyle) => JSX.Element | null;
export declare function Alert({ type, title, message, numberOfLines, marginRem, paddingRem, onPress, children }: Props): JSX.Element;
export {};
