/// <reference types="react" />
import { ThemeProps } from '../services/ThemeContext';
interface OwnProps {
    testID?: string;
    label: string;
    value: string;
    autoCorrect?: boolean;
    autoFocus?: boolean;
    forceFocus?: boolean;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    secureTextEntry?: boolean;
    returnKeyType?: 'done' | 'go' | 'next' | 'search' | 'send';
    error?: string;
    onFocus?: () => void;
    onBlur?: () => void;
    onChangeText: (text: string) => void;
    onSubmitEditing?: () => void;
}
declare type Props = OwnProps & ThemeProps;
export declare const LineFormField: (props: Pick<Props, keyof OwnProps>) => JSX.Element;
export {};
