import * as React from 'react';
import { cacheStyles } from 'react-native-patina';
import { MaterialInput } from '../common/MaterialInput';
import { withTheme } from '../services/ThemeContext';
class LineFormFieldComponent extends React.Component {
    constructor() {
        super(...arguments);
        this.handleSubmitEditing = () => {
            if (this.props.onSubmitEditing) {
                this.props.onSubmitEditing();
            }
        };
    }
    render() {
        const { theme } = this.props;
        const styles = getStyles(theme);
        return (React.createElement(MaterialInput, { testID: this.props.testID, label: this.props.label, value: this.props.value, onChangeText: this.props.onChangeText, error: this.props.error, containerStyle: styles.container, secureTextEntry: this.props.secureTextEntry, returnKeyType: this.props.returnKeyType, baseColor: theme.primaryText, tintColor: theme.iconTappable, textColor: theme.outlineTextInputTextColor, errorColor: theme.dangerText, titleTextStyle: theme.primaryText, autoFocus: this.props.autoFocus, forceFocus: this.props.forceFocus, onFocus: this.props.onFocus, onBlur: this.props.onBlur, autoCapitalize: this.props.autoCapitalize, autoCorrect: this.props.autoCorrect, onSubmitEditing: this.handleSubmitEditing }));
    }
}
export const LineFormField = withTheme(LineFormFieldComponent);
const getStyles = cacheStyles((theme) => ({
    container: {
        position: 'relative',
        width: '70%',
        minHeight: theme.rem(3.75)
    },
    affixTextStyle: {
        color: theme.primaryText
    },
    titleTextStyle: {
        color: theme.primaryText
    }
}));
