import { EdgeAccount, EdgePasswordRules } from 'edge-core-js';
import { PreviousUsersState } from '../reducers/PreviousUsersReducer';
import { SceneState } from '../reducers/SceneReducer';
import { TouchState } from '../reducers/TouchReducer';
declare type NoDataActionName = 'AUTH_LOGGING_IN_WITH_PIN' | 'CLEAR_CREATE_ERROR_MESSAGE' | 'LOGIN_SUCCEESS' | 'RESET_APP';
export declare type Action = {
    type: NoDataActionName;
} | {
    type: 'AUTH_UPDATE_CONFIRM_PASSWORD';
    data: {
        password: string | null;
        error: string | null;
    };
} | {
    type: 'AUTH_UPDATE_PASSWORD';
    data: {
        password: string;
        passwordStatus: EdgePasswordRules;
        passwordCheckString: string;
        error: string | null;
    };
} | {
    type: 'AUTH_UPDATE_PIN';
    data: string;
} | {
    type: 'AUTH_UPDATE_USERNAME';
    data: string;
} | {
    type: 'CREATE_ACCOUNT_FAIL';
    data: string;
} | {
    type: 'CREATE_ACCOUNT_SUCCESS';
    data: EdgeAccount;
} | {
    type: 'CREATE_UPDATE_PIN';
    data: {
        pin: string;
        error: string | null;
    };
} | {
    type: 'CREATE_UPDATE_USERNAME';
    data: {
        username: string;
    };
} | {
    type: 'LOGIN_PIN_FAIL';
    data: {
        message: string;
        wait: number;
    };
} | {
    type: 'NAVIGATE';
    data: SceneState;
} | {
    type: 'SET_PREVIOUS_USERS';
    data: PreviousUsersState;
} | {
    type: 'SET_TOUCH';
    data: TouchState;
};
export {};
